clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::Sema::PragmaStack< ValueType >::Slot Struct Reference

`#include "clang/Sema/Sema.h"`

Collaboration diagram for clang::Sema::PragmaStack< ValueType >::Slot:
[legend]

## Public Member Functions
| Slot (llvm::StringRef StackSlotLabel, ValueType Value, SourceLocation PragmaLocation, SourceLocation PragmaPushLocation)

## Public Attributes
llvm::StringRef | StackSlotLabel
ValueType | Value
SourceLocation | PragmaLocation
SourceLocation | PragmaPushLocation

## Detailed Description

### template<typename ValueType>
struct clang::Sema::PragmaStack< ValueType >::Slot

Definition at line 468 of file Sema.h.

## Constructor & Destructor Documentation

## ◆ Slot()

template<typename ValueType>

clang::Sema::PragmaStack< ValueType >::Slot::Slot | ( | llvm::StringRef | StackSlotLabel,
|  | ValueType | Value,
|  | SourceLocation | PragmaLocation,
|  | SourceLocation | PragmaPushLocation
| ) |  |
| inline

Definition at line 473 of file Sema.h.

## Member Data Documentation

## ◆ PragmaLocation

template<typename ValueType>

SourceLocation clang::Sema::PragmaStack< ValueType >::Slot::PragmaLocation

Definition at line 471 of file Sema.h.

## ◆ PragmaPushLocation

template<typename ValueType>

SourceLocation clang::Sema::PragmaStack< ValueType >::Slot::PragmaPushLocation

Definition at line 472 of file Sema.h.

## ◆ StackSlotLabel

template<typename ValueType>

llvm::StringRef clang::Sema::PragmaStack< ValueType >::Slot::StackSlotLabel

Definition at line 469 of file Sema.h.

## ◆ Value

template<typename ValueType>

ValueType clang::Sema::PragmaStack< ValueType >::Slot::Value

Definition at line 470 of file Sema.h.

The documentation for this struct was generated from the following file:

- include/clang/Sema/Sema.h